1. Pre-warmup
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Google Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
      GET
    • Get Order Status
      GET
    • Creates order json
      POST
    • Order mailboxes (json)
      POST
    • Process the Order
      POST
    • Create Order
      POST
    • Add mailboxes to a subscription
      POST
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Domain Events
      • Subscription Events
      • Mailbox Events
      • Prewarmup Events
  • Export
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Get all pre warmed up mailboxes
      GET
    • Order pre-warmedup mailboxes
      POST
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Pre-warmup

Order pre-warmedup mailboxes

POST
/pre-warmup/order

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Body Params application/json

Example
{
    "order": [
        {"domain": "yourcompanynow.info", "forwardTo": "coldmailreseller.com"},
        {"domain": "example2.com", "forwardTo": "coldmailreseller.com"}
    ],
    "serviceProvider": "GOOGLE",
    "microsoftOauthRoute": "",
    "google": {
        "googleOauthRoute": "https://accounts.google.com/o/oauth2/v2/auth/oauthchooseaccount?access_type=offline...",
        "clientId": "549360251880-maeh4okn7btu9cjtf0l2bt1t5b22sbf8.apps.googleusercontent.com",
        "appName": "Outreach App"
    },
    "autoRenew": true
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://customers.coldmailreseller.com/api/v1/integration/pre-warmup/order?userId=M8QJWQRZSXMHZTKKG37YV9MWTV48' \
--header 'cmr-x-api-key: <api-key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "order": [
        {"domain": "yourcompanynow.info", "forwardTo": "coldmailreseller.com"},
        {"domain": "example2.com", "forwardTo": "coldmailreseller.com"}
    ],
    "serviceProvider": "GOOGLE",
    "microsoftOauthRoute": "",
    "google": {
        "googleOauthRoute": "https://accounts.google.com/o/oauth2/v2/auth/oauthchooseaccount?access_type=offline...",
        "clientId": "549360251880-maeh4okn7btu9cjtf0l2bt1t5b22sbf8.apps.googleusercontent.com",
        "appName": "Outreach App"
    },
    "autoRenew": true
}'

Responses

🟢201Created
application/json
Body

Example
{
    "status": 201,
    "message": "Prewarmup order created and queued for processing, make sure to have enough balance in your wallet!",
    "data": {
        "orderId": "7MRN1VBVNF4K61MD0W24XE779E84"
    }
}
Modified at 2025-10-27 15:03:19
Previous
Get all pre warmed up mailboxes
Next
Get Wallet Details
Built with